SubaccountService
List Subaccount Members
List all members and roles for a sub-account, including the owner.
Method
GET
Path
/v1/auth/subaccounts/{subaccount_id}/members
Visibility
Authentication
Session token
MFA Requirement
Not required
GET
/v1/auth/subaccounts/{subaccount_id}/members Request
Testnet
curl --request GET \ \ --url 'https://api.testnet.polyester.com/v1/auth/subaccounts/6789012345678/members' \ --header 'Accept: */*' \ --header 'X-API-KEY-ID: YOUR_API_KEY_ID' \ --header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \ --header 'X-API-SIGNATURE: YOUR_API_SIGNATURE'
Responses
{
"members": [
{
"accountId": "3HRq9SkcwNm",
"avatarUrl": "https://placehold.co/128x128.png",
"mfaEnrolled": false,
"role": "VIEWER",
"smartAccountAddress": "0x2222222222222222222222222222222222222222",
"username": "trader_alpha"
}
]
} subaccount_id string (int64)
Sub-account to inspect (opaque ID).
6 fields
accountId string (fixed64)
Identifier for the member's root account (opaque ID).
Example
3HRq9SkcwNm role enum
Effective role on this sub-account.
VIEWER TRADER LEVERAGED_TRADER TREASURY ADMIN OWNER
Example
VIEWER username string
Optional username for the member's root account.
Example
trader_alpha smartAccountAddress string
Smart Account address for the member's root account, if any.
Example
0x2222222222222222222222222222222222222222 avatarUrl string
Optional avatar URL for the member's root account.
Example
https://placehold.co/128x128.png mfaEnrolled boolean
True when the member has at least one MFA factor enrolled on their root account.
Example
false| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |